Gocator API

- Home
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Modules Pages
Public Member Functions
GoProfileLine Class Reference
GoSdk/Tools » Profile

## Description

Represents a profile line tool.

Represents a profile line region used in various profile tools.

Inheritance diagram for GoProfileLine:

## Public Member Functions
GoProfileLineMaxError | GoProfileLine_MaxErrorMeasurement (GoProfileLine tool)
| Returns a GoProfileLine Maximum Error measurement object. More...
GoProfileLineMinError | GoProfileLine_MinErrorMeasurement (GoProfileLine tool)
| Returns a GoProfileLine Minimum Error measurement object. More...
GoProfileLinePercentile | GoProfileLine_PercentileMeasurement (GoProfileLine tool)
| Returns a GoProfileLine Percentile measurement object. More...
GoProfileLineStdDev | GoProfileLine_StdDevMeasurement (GoProfileLine tool)
| Returns a GoProfileLine Standard Deviation measurement object. More...
GoProfileRegion | GoProfileLineRegion_RegionAt (GoProfileLineRegion lineRegion, kSize index)
| Gets the profile region based on the given index. More...
k32u | GoProfileLineRegion_RegionCount (GoProfileLineRegion lineRegion)
| Returns the number of regions. More...
kStatus | GoProfileTool_SetSource (GoProfileTool tool, GoDataSource source)
| Sets the data source. More...
kStatus | GoProfileTool_SetXAnchor (GoProfileTool tool, k32s id)
| Sets the X-anchoring source. More...
kStatus | GoProfileTool_SetZAnchor (GoProfileTool tool, k32s id)
| Sets the Z-anchoring source. More...
GoDataSource | GoProfileTool_Source (GoProfileTool tool)
| Gets the data source. More...
GoDataSource | GoProfileTool_SourceOptionAt (GoProfileTool tool, kSize index)
| Gets the data source option at the given index. More...
kSize | GoProfileTool_SourceOptionCount (GoProfileTool tool)
| Gets the data source option list count. More...
k32s | GoProfileTool_XAnchor (GoProfileTool tool)
| Gets the current X-anchoring source. More...
kBool | GoProfileTool_XAnchorEnabled (GoProfileTool tool)
| Returns a boolean value representing whether or not a valid X-anchoring source has been set for X-anchoring. More...
k32u | GoProfileTool_XAnchorOptionAt (GoProfileTool tool, kSize index)
| Gets the X-anchoring option at the given index. More...
kSize | GoProfileTool_XAnchorOptionCount (GoProfileTool tool)
| Gets the X-anchoring option list count. More...
k32s | GoProfileTool_ZAnchor (GoProfileTool tool)
| Gets the current Z-anchoring source. More...
kBool | GoProfileTool_ZAnchorEnabled (GoProfileTool tool)
| Returns a boolean value representing whether or not a valid Z-anchoring source has been set for Z-anchoring. More...
k32u | GoProfileTool_ZAnchorOptionAt (GoProfileTool tool, kSize index)
| Gets the Z-anchoring option at the given index. More...
kSize | GoProfileTool_ZAnchorOptionCount (GoProfileTool tool)
| Gets the Z-anchoring option list count. More...
GoMeasurement | GoTool_FindMeasurementByType (GoTool tool, GoMeasurementType type)
| Retrieves the first found instance of a measurement for a given enumeration type. More...
GoMeasurement | GoTool_MeasurementAt (GoTool tool, kSize index)
| Retrieves the measurement at the given index. More...
kSize | GoTool_MeasurementCount (GoTool tool)
| Returns the measurement count. More...
kStatus | GoTool_Name (GoTool tool, kChar *name, kSize capacity)
| Retrieves the name of the tool. More...
kStatus | GoTool_SetName (GoTool tool, const kChar *name)
| Sets the name of the tool. More...
GoToolType | GoTool_Type (GoTool tool)
| Retrieves the tool type enumeration value of the tool. More...

The documentation for this class was generated from the following files:

- Tools/GoProfileTools.h
- Tools/GoProfileToolUtils.h